Bug 109439 - [CI][SHARDS] igt@gem_tiled_swapping@non-threaded - skip - Could not allocate enough memory to lock.
Summary: [CI][SHARDS] igt@gem_tiled_swapping@non-threaded - skip - Could not allocate ...
Status: RESOLVED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-22 17:56 UTC by Martin Peres
Modified: 2019-07-23 08:45 UTC (History)
1 user (show)

See Also:
i915 platform: CFL, ICL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-22 17:56:38 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5460/shard-iclb5/igt@gem_tiled_swapping@non-threaded.html

Test requirement not met in function igt_lock_mem, file ../lib/igt_aux.c:1083:
Test requirement: locked_mem
Could not allocate enough memory to lock.
Last errno: 12, Cannot allocate memory
Subtest non-threaded: SKIP
Comment 1 CI Bug Log 2019-01-22 17:57:01 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@gem_tiled_swapping@non-threaded - skip - Could not allocate enough memory to lock.
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5460/shard-iclb5/igt@gem_tiled_swapping@non-threaded.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5461/shard-iclb2/igt@gem_tiled_swapping@non-threaded.html
Comment 2 Chris Wilson 2019-01-22 19:00:49 UTC
Messages changed to glean a bit more information here.

commit 23f39950e824b8a8f31cfb26fc9b37ab1aca656f (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 22 18:15:47 2019 +0000

    lib: Include the size in the error message for mlock
    
    Knowing how much we tried to allocate would be useful if one should need
    to debug why it failed.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=109439
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Antonio Argenziano <antonio.argenziano@intel.com>
Comment 3 Francesco Balestrieri 2019-02-06 07:27:22 UTC
Two occurrences two weeks ago, then silence. Let's keep an eye on it and see if the next incident gives more information. 

Also, changing priority to medium.
Comment 4 Francesco Balestrieri 2019-02-11 08:48:45 UTC
Still not seen in ~600 runs after it occurred twice in two consecutive runs, I'm resolving it.
Comment 6 Lakshmi 2019-03-04 07:14:29 UTC
Reopened this issue. I assume this failure is related to this bug. 

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5686/shard-iclb6/igt@gem_tiled_swapping@non-threaded.html
	
Test requirement not met in function igt_lock_mem, file ../lib/igt_aux.c:1086:
Test requirement: locked_mem
Could not malloc 15291MiB for locking.
Last errno: 12, Cannot allocate memory
Subtest non-threaded: SKIP
Comment 7 CI Bug Log 2019-03-08 09:37:50 UTC
A CI Bug Log filter associated to this bug has been updated:

{- shard-icl: igt@gem_tiled_swapping@non-threaded - skip - Cannot allocate memory -}
{+ ICL: igt@gem_tiled_swapping@non-threaded - skip - Cannot allocate memory +}

 No new failures caught with the new filter
Comment 8 CI Bug Log 2019-05-02 07:06:22 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@gem_tiled_swapping@non-threaded - skip - Cannot allocate memory -}
{+ ICL: igt@gem_tiled_swapping@non-threaded - skip - Cannot allocate memory +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6001/re-cml-u/igt@gem_tiled_swapping@non-threaded.html
Comment 9 CI Bug Log 2019-05-02 07:06:45 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@gem_tiled_swapping@non-threaded - skip - Cannot allocate memory -}
{+ re-cml-u ICL: igt@gem_tiled_swapping@non-threaded - skip - Cannot allocate memory +}


  No new failures caught with the new filter
Comment 10 Lakshmi 2019-05-02 07:07:22 UTC
(In reply to CI Bug Log from comment #8)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- ICL: igt@gem_tiled_swapping@non-threaded - skip - Cannot allocate memory
> -}
> {+ ICL: igt@gem_tiled_swapping@non-threaded - skip - Cannot allocate memory
> +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6001/re-cml-u/
> igt@gem_tiled_swapping@non-threaded.html

Also seen on CML.
Comment 11 Francesco Balestrieri 2019-07-23 08:45:19 UTC
This hasn't occurred for 2 months / 120 runs. Before that it was happening on a daily basis and almost on every run. Based on our criteria it can be closed again.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.